import dynamix_sdk.base as _base


class CloudapiComputeCdEjectResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeCdEjectProtocol(_base.BasePostAPIFunctionProtocol):
    def cd_eject(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeCdEjectResultBool:
        ...
